Bug 1575299 - [abrt] gnome-shell: gweather_timezone_get_tzid(): gnome-shell killed by SIGSEGV
Summary: [abrt] gnome-shell: gweather_timezone_get_tzid(): gnome-shell killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:b95e4c62150132c8db04dc3b779...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-05 19:44 UTC by Ed Marshall
Modified: 2019-05-28 20:08 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 20:08:35 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (115.38 KB, text/plain)
2018-05-05 19:44 UTC, Ed Marshall
no flags Details
File: cgroup (373 bytes, text/plain)
2018-05-05 19:44 UTC, Ed Marshall
no flags Details
File: core_backtrace (31.40 KB, text/plain)
2018-05-05 19:44 UTC, Ed Marshall
no flags Details
File: cpuinfo (1.39 KB, text/plain)
2018-05-05 19:44 UTC, Ed Marshall
no flags Details
File: dso_list (25.01 KB, text/plain)
2018-05-05 19:44 UTC, Ed Marshall
no flags Details
File: environ (4.92 KB, text/plain)
2018-05-05 19:44 UTC, Ed Marshall
no flags Details
File: exploitable (82 bytes, text/plain)
2018-05-05 19:44 UTC, Ed Marshall
no flags Details
File: limits (1.29 KB, text/plain)
2018-05-05 19:44 UTC, Ed Marshall
no flags Details
File: maps (153.22 KB, text/plain)
2018-05-05 19:45 UTC, Ed Marshall
no flags Details
File: mountinfo (3.77 KB, text/plain)
2018-05-05 19:45 UTC, Ed Marshall
no flags Details
File: open_fds (8.42 KB, text/plain)
2018-05-05 19:45 UTC, Ed Marshall
no flags Details
File: proc_pid_status (1.30 KB, text/plain)
2018-05-05 19:45 UTC, Ed Marshall
no flags Details
File: var_log_messages (15.65 KB, text/plain)
2018-05-05 19:45 UTC, Ed Marshall
no flags Details

Description Ed Marshall 2018-05-05 19:44:47 UTC
Description of problem:
Came back to my laptop after sitting overnight: was greeted with gdm instead of my a password prompt to unlock my desktop.

Version-Release number of selected component:
gnome-shell-3.28.1-3.fc28

Additional info:
reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: gweather_timezone_get_tzid
executable:     /usr/bin/gnome-shell
journald_cursor: s=d56bd705b9a74a56b1aed2f6235d7e63;i=4022c;b=3aa98d8122a147129e2f1e5ad02294af;m=65d50a0bf;t=56b6fffe048d5;x=78eb8056e2ffbb25
kernel:         4.16.5-300.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gweather_timezone_get_tzid at ../libgweather/gweather-timezone.c:383
 #1 gweather_location_get_timezone at ../libgweather/gweather-location.c:1005
 #2 ffi_call_unix64 at ../src/x86/unix64.S:76
 #3 ffi_call at ../src/x86/ffi64.c:525
 #4 gjs_invoke_c_function(JSContext*, Function*, JS::HandleObject, JS::HandleValueArray const&, mozilla::Maybe<JS::MutableHandle<JS::Value> >, GIArgument*) at gi/function.cpp:1088
 #5 function_call(JSContext*, unsigned int, JS::Value*) at /usr/include/c++/8/new:169
 #6 js::CallJSNative(JSContext*, bool (*)(JSContext*, unsigned int, JS::Value*), JS::CallArgs const&) at /usr/src/debug/mozjs52-52.7.3-1.fc28.x86_64/jscntxtinlines.h:239
 #7 js::InternalCallOrConstruct(JSContext*, JS::CallArgs const&, js::MaybeConstruct) at /usr/src/debug/mozjs52-52.7.3-1.fc28.x86_64/vm/Interpreter.cpp:447
 #8 js::CallFromStack(JSContext*, JS::CallArgs const&) at /usr/src/debug/mozjs52-52.7.3-1.fc28.x86_64/vm/Interpreter.cpp:2922
 #9 Interpret(JSContext*, js::RunState&) at /usr/src/debug/mozjs52-52.7.3-1.fc28.x86_64/vm/Interpreter.cpp:2922

Comment 1 Ed Marshall 2018-05-05 19:44:52 UTC
Created attachment 1432059 [details]
File: backtrace

Comment 2 Ed Marshall 2018-05-05 19:44:53 UTC
Created attachment 1432060 [details]
File: cgroup

Comment 3 Ed Marshall 2018-05-05 19:44:54 UTC
Created attachment 1432061 [details]
File: core_backtrace

Comment 4 Ed Marshall 2018-05-05 19:44:55 UTC
Created attachment 1432062 [details]
File: cpuinfo

Comment 5 Ed Marshall 2018-05-05 19:44:56 UTC
Created attachment 1432063 [details]
File: dso_list

Comment 6 Ed Marshall 2018-05-05 19:44:57 UTC
Created attachment 1432064 [details]
File: environ

Comment 7 Ed Marshall 2018-05-05 19:44:58 UTC
Created attachment 1432065 [details]
File: exploitable

Comment 8 Ed Marshall 2018-05-05 19:44:59 UTC
Created attachment 1432066 [details]
File: limits

Comment 9 Ed Marshall 2018-05-05 19:45:00 UTC
Created attachment 1432067 [details]
File: maps

Comment 10 Ed Marshall 2018-05-05 19:45:01 UTC
Created attachment 1432068 [details]
File: mountinfo

Comment 11 Ed Marshall 2018-05-05 19:45:02 UTC
Created attachment 1432069 [details]
File: open_fds

Comment 12 Ed Marshall 2018-05-05 19:45:03 UTC
Created attachment 1432070 [details]
File: proc_pid_status

Comment 13 Ed Marshall 2018-05-05 19:45:04 UTC
Created attachment 1432071 [details]
File: var_log_messages

Comment 14 Ben Cotton 2019-05-02 21:49:36 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Ben Cotton 2019-05-28 20:08:35 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.